using SecureShopContracts.BindingModels;
using SecureShopContracts.SearchModels;
using SecureShopContracts.ViewModels;

namespace SecureShopContracts.StoragesContracts
{
    public interface IFacilitiesStorage
    {
        List<FacilitiesViewModel> GetFullList();
        List<FacilitiesViewModel> GetFilteredList(FacilitiesSearchModel model);
        FacilitiesViewModel? GetElement(FacilitiesSearchModel model);
        FacilitiesViewModel? Insert(FacilitiesBindingModel model);
        FacilitiesViewModel? Update(FacilitiesBindingModel model);
        FacilitiesViewModel? Delete(FacilitiesBindingModel model);
    }
}